Contents
On this page

List Shortcodes - Plugixa FAQ

GET /plugixa-faq/v1/shortcodes

List saved shortcodes: named sets of display settings that a page embeds with [plugixa_faq id="12"].

Any signed-in user with the plugixa_faq_manage capability or WordPress’s edit_posts (Contributors and up, by default).

Request

GET https://your-site.example/wp-json/plugixa-faq/v1/shortcodes?filter[view]=support-centre

Query parameters

Name Type Default Description
search string Text found in the name, slug or description. Same as filter[search].
filter[view] string Shortcodes using this view slug.
filter[has_categories] string yes for shortcodes limited to categories, any other value for the rest.

Plus the list parameters every paged list accepts. orderby accepts id, name, slug, created_at and modified_at.

Responses

200 OK. data.items is one page of shortcodes.

{
  "success": true,
  "message": "",
  "data": {
    "items": [
      {
        "id": "12",
        "name": "Shipping FAQ",
        "slug": "shipping-faq",
        "description": "Shipping questions for the checkout page.",
        "config": {
          "view": "support-centre",
          "categories": [
            "shipping"
          ],
          "ids": [],
          "limit": -1,
          "pagination": "none",
          "perPage": 10,
          "orderby": "menu_order",
          "order": "ASC",
          "search": false,
          "searchPlaceholder": "",
          "groupByCategory": false,
          "schema": true,
          "darkMode": "from_view",
          "openFirst": false,
          "allowMultiple": true,
          "enablePermalinks": true,
          "permalinkText": "Permalink",
          "permalinkPosition": "answer-top-right",
          "enableSocialShare": false,
          "feedbackEnabled": false,
          "paginationEnabled": true,
          "paginationStyle": "numbers",
          "loadMoreLabel": "Load More",
          "enableToggleAll": false,
          "showReadMore": false,
          "readMoreText": "Read More",
          "showAuthor": true,
          "showDate": true,
          "showCategory": true
        },
        "created_at": "2026-11-12 09:30:00",
        "created_by": "1",
        "modified_at": null,
        "modified_by": null
      }
    ],
    "total": 1,
    "state": {
      "filter": {
        "view": "support-centre"
      },
      "limit": 20,
      "offset": 0,
      "orderby": "created_at",
      "order": "DESC"
    }
  }
}
Field Type Meaning
data.items[].id string The id used in [plugixa_faq id="..."]
data.items[].config object The display settings
data.total integer Shortcodes matching the filters, before paging

See Shortcode builder and Shortcodes.

Errors

Plus the errors every endpoint can return.

Examples

curl -sg "https://your-site.example/wp-json/plugixa-faq/v1/shortcodes?filter[view]=support-centre" \
  -u "admin:$WP_APP_PASSWORD"
<?php
$query = http_build_query([
    'filter[view]' => 'support-centre',
]);
$ch = curl_init('https://your-site.example/wp-json/plugixa-faq/v1/shortcodes?' . $query);
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_USERPWD        => 'admin:' . getenv('WP_APP_PASSWORD'),
]);
$response = json_decode(curl_exec($ch), true);
curl_close($ch);
const query = new URLSearchParams({ 'filter[view]': 'support-centre' });
const response = await fetch(`https://your-site.example/wp-json/plugixa-faq/v1/shortcodes?${query}`, {
  headers: {
    'Authorization': 'Basic ' + btoa(`admin:${process.env.WP_APP_PASSWORD}`),
  },
});
const { data } = await response.json();

Quick Links

Share